How do I install the kivy.deps.sdl2 python package?

Hi, I am trying to install
'''
pip install docutils pygments pypiwin32 kivy.deps.sdl2 kivy.deps.glew
'''
but i got
'''
ERROR: Could not find a version that satisfies the requirement kivy.deps.sdl2 (from versions: none)
ERROR: No matching distribution found for kivy.deps.sdl2
'''
If I try to install kivy.deps.sdl2 I get
'''
ERROR: Could not find a version that satisfies the requirement kivy.deps.sdl2 (from versions: none)
ERROR: No matching distribution found for kivy.deps.sdl2
'''
I can't find information about it in internet, so how can I solve this problem?

Hello,

This should do some of what you want installed, from terminal:
pamac install python-docutils python-pygments python-kivy

AFAIK the pip install pypiwin32 is "restricted" to Windows only.

2 Likes

if pip install is only to windows, how can i install random package? I can understand your english not very well.

Oh, I read that kivy packages are made for windows, hmmm

It's kivy-deps.sdl2 and kivy-deps.glew with a dash instead of the first period. :wink:

No, he meant pypiwin32 is only for Windows.

What requires those packages? Sounds like it's meant to be installed on Windows.

1 Like

I just want to make a game by instructions from this video.


It needs some packages (in the beginning of video)

I don't understand Russian, sorry. There are links below the video for help, I would explore those.

2 Likes

Forum kindly sponsored by